body 
{
float:none;
background-color:#fff;
margin-top: 0;
margin-right: 10%;
margin-bottom: 0;
margin-left: 10%;
font-size: 100%;
}
p{line-height:1.2rem}
radio, checkbox {border: 0;}
input, textarea, select
{
border:solid 1px #CCC;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size:100%;
color:#333;
padding-left:2px;
background-color:#FFF;
}

a:link, a:visited{
color:#246EB1;
text-decoration:none;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-weight:normal;
}
a:hover, a:visited:hover{
color:#CCC;
text-decoration:none;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-weight:normal;
}


.surround {
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size: 11px;
font-style: normal;
line-height: normal;
font-weight: normal;
font-variant: normal;
color: #333;
border-width: 0;
border-color: #999;
}
.page_header {
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size: 11px;
font-style: normal;
line-height: normal;
font-weight: bold;
font-variant: normal;
background-image: url(images/header_blue.png);
background-repeat: repeat-x;
background-position: center center;
height: 100px;
width: 100%;
text-align: center;
vertical-align: middle;
border: 1px solid #CCC;
padding-top: 10px;
padding-bottom:5px;
}
.footer {
background-image: url(images/footer.png);
background-repeat: repeat-x;
background-position: center center;
height: 30px;
width: 100%;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size: 11px;
font-style: normal;
font-weight: normal;
font-variant: normal;
text-transform: capitalize;
color: #333;
text-align: center;
vertical-align: middle;
margin-top: 2px;
margin-right: 0;
margin-bottom: 0;
margin-left: 0;
padding-top: 2px;
padding-right: 0;
padding-bottom: 0;
padding-left: 2px;
border: 1px solid #CCC;
}
.content {
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 11px;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	color: #000;
	width: 100%;
	border-top-width:0;
	border-right-width:1px;
	border-bottom-width:0;
	border-left-width:1px;
	border-style: solid;
	border-right-color: #ccc;
	border-left-color: #ccc;
	padding-top: 0;
	padding-right: 5px;
	padding-bottom: 0;
	padding-left: 5px;
}
.content li {padding-bottom:3px;}
.content h1{font-size:130%;}
.content h2{font-size:110%;}

.content h3 {font-size:105%;font-style: normal;	line-height: normal;	
font-weight:bold; font-variant: normal; text-transform: capitalize; color: #000; 
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;}

.content a:link
{
font-weight:normal;
font-size: 100%;
font-style: normal;
font-variant: normal;
color:#246EB1;
}
.content a:hover
{
font-weight:normal;
font-size: 100%;
font-style: normal;
font-variant: normal;
color:#ccc;
}
.content a:visited
{
 font-weight:normal;
 font-style: normal;
 font-variant: normal;
 color:#246EB1;
}
.content a:visited:hover
{
font-weight:normal;
font-style: normal;
font-variant: normal;
color:#ccc;
}

.content hr {color:#000;background-color:#CCC;height: 2px;}

.comments_outer {
width:100%;
border-top-width: 1px;
border-right-width: 1px;
border-bottom-width:0;
border-left-width: 1px;
border-style: solid;
border-color: #CCC;
}


/*********** Style for Side Menu  ***********/
.side_menu_global {
border-top-width:0;
border-right-width:1px;
border-bottom-width:0;
border-left-width:0;
border-top-style: solid;
border-right-style: dashed;
border-bottom-style: solid;
border-left-style: solid;
border-color: #ccc;
width: 170px;
overflow:hidden;
margin-top: 10px;
font-size: 100%;
font-style: normal;
font-weight: normal;
font-variant: normal;
}
.side_menu_global h3
{color:#333;padding-bottom:0;margin-bottom:0;font-size:105%;font-weight:bold;vertical-align:middle;}

.side_menu_global a:link
{
color:#246EB1;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-style: normal;
font-variant: normal;
}
.side_menu_global a:hover
{
color:#ccc;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-style: normal;
font-variant: normal;
}
.side_menu_global ul li a:visited
{
color:#246EB1;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-style: normal;
font-variant: normal;
}
.side_menu_global a:visited:hover
{
padding:0;
color:#ccc;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-style: normal;
font-variant: normal;
display:inline;
background-color:#fff;
}
.side_menu_global a:visited {color:#246EB1;}

.side_menu_global th
{
background-color:#666;
color:#FFF;
height:20px;
font-size:14px;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
}
/***************************/


.synopsis_table
{
border-top:solid 3px #CCC;
text-align:left;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size:100%;
font-style:normal;
font-variant:normal;
}
.synopsis_table th
{
padding-top:0;
padding-right:0;
padding-bottom:0;
padding-left: 5px;
vertical-align: middle;
background-position: left center;
}
.synopsis_table h3
{
font-size: 110%;
color: #666;
font-style: normal;
font-weight: normal;
font-variant: normal;
vertical-align:middle;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
margin-top:5px;
margin-bottom:5px;
text-align:left;
}
.synopsis_table td
{
padding-top:0;
padding-right:0;
padding-bottom:0;
padding-left: 5px;
font-size: 100%;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
}
.synopsis_table h3 a:link{
text-decoration:none;
font-weight:bold;
color: #666;
}
.synopsis_table h3 a:hover{color:#246EB1;}
.synopsis_table h3 a:visited{
text-decoration:none;
font-weight:bold;
color: #666;
}
.synopsis_table h3 a:visited:hover{color:#CCC;}





.synopsis_table a:link{
color:#246EB1;
text-decoration:none;
font-weight:normal;
}
.synopsis_table a:hover{color:#CCC;}
.synopsis_table a:visited{
color: #246EB1;
text-decoration:none;
font-weight:normal;
}
.synopsis_table a:visited:hover{
color:#CCC;
}



.footer a:link{color: #FFF;text-decoration:underline;}
.footer a:hover{text-decoration:none;}
.footer a:visited{color: #fff;text-decoration:underline;}
.footer a:visited:hover{text-decoration:none;color: #fff;}


.contact_me
{
border:#CCC 1px solid;
width:100%;
background-color:#F9F9F9;
vertical-align:top;
}
.contact_me td{
padding-left:3px;
text-align:left;
}
.contact_me th
{
background-color:#666;
color:#FFF;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-style:normal;
font-weight:bold;
font-size:11px;
text-align:left;
padding-left:1px;
padding-right:1px;
padding-top:1px;
}

.code
{
background-color:#F1F1F1;
border:0;
font-family:"Courier New", Courier, monospace;
font-size:105%;
background-position:left;
text-align:left;
width:95%;
padding:5px;
color: #333;
clear:both;
}
.code_inline{font-size: 12px;font-family:"Courier New", Courier, monospace;}

.page_number
{
font-family:Arial, Helvetica, sans-serif;
font-size:12px;
font-weight:bold;
}

#toc_list td{height: 20px;}


/* for discussion area */
.discussion_area_intro
{
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size: 11px;
font-style: normal;
font-weight: normal;
color: #333;
border: 1px solid #CCC;
width:100%;
}
.discussion_area_intro h2
{
font-size:110%;
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
}
.discussion_area_intro th
{
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 12px;
	font-style: normal;
	font-weight: bold;
	font-variant: normal;
	color:#FFF;
	text-align:center;
	padding: 3px;
	background-color:#666;
}

.discussion_area_intro_field
{
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size:11px;
	font-weight: bold;
	color: #333;
	padding: 3px;
	margin-right:5px;
	text-align:left;
	background-color:#F9F9F9;
}

.discussion_area_intro_value
{
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 11px;
	font-weight: normal;
	color: #333;
	text-align:left;
	background-color: #E3F2FF;
	padding: 3px;
	margin-top: 0;
	margin-right: 0;
	margin-bottom: 0;
	margin-left: 5px;
}

.topic_list
{
border: 1px solid #CCC;
margin: 0;
padding: 3px;
}


.topic_list tr:hover {color:#333;font-weight: bold;}
.topic_list a:link{text-decoration:none;font-weight: bold;}
.topic_list a:visited{text-decoration:none;font-weight: bold;}
.topic_list th
{
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 12px;
	color: #FFF;
	background-color: #666;
	height: 25px;
}

.post
{
	border:1px #CCC solid;
	background-color:#F9F9F9;
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 11px;
	font-style: normal;
	line-height: normal;
	font-weight: normal;
	font-variant: normal;
	width:100%;
	padding-top: 0;
	padding-right: 5px;
	padding-bottom: 0;
	padding-left: 5px;
}
.post h3
{
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	font-size: 100%;
	font-style: normal;
	line-height: normal;
	font-weight: bold;
	font-variant: normal;
	vertical-align:middle;
}

.post a:link{	font-weight:bold;}
.post a:hover{color:#333;}
.post a:visited{font-weight:bold;}
.modification_history
{
	background-color:#F9F9F9;
	border:1px #CCC solid;
	vertical-align:middle;
	font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
	padding-top: 0;
	padding-right: 3px;
	padding-bottom: 0;
	padding-left: 3px;
	font-size: 11px;
	font-style: normal;
	line-height: normal;
	font-weight: normal;
	font-variant: normal;
}
.modification_history td
{
	border-bottom-width: 2px;
	border-bottom-style: solid;
	border-bottom-color: #FFFFFF;
	padding-top: 0;
	padding-right: 2px;
	padding-bottom: 0;
	padding-left: 2px;	
}
.modification_history h4
{
font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;
font-size:100%;
}


.comment_post
{
font-weight:normal;
border: 1px solid #CCCCCC;
background-color:#F7F7F7;
padding-left:5px;
}
.comment_post th {color:#999999;text-align:left;font-weight:bold;}
hr{border: 0;color: #999999;}


/******************/

.side_menu{font-size: 103%;padding: 5px;}
.side_menu b
{
display: block;
font-weight: normal;
clear:both;
padding: 2px;
}
.side_menu ul
{
margin-top: 0;
padding: 2px;
margin-left: 15px;
list-style-image: url('http://www.geeksww.com/images/bullet.png');
}
.side_menu a{font-size:100%;font-family:"Lucida Grande",Verdana,Lucida,Arial,Helvetica,sans-serif;}


#right_section_tutorial_content {width:100%;padding:0;margin:0}
#right_section_tutorial_content h3 {margin-top:0;text-align:left;border-top:1px #ccc solid;padding-top:0.5em;border-bottom:dashed 1px #ccc;padding-bottom:0.5em}
#right_section_tutorial_content a:hover,a:visited:hover {color:#ccc}
#right_section_tutorial_content a,a:visited {color:#246EB1}
#right_section_tutorial_content p {text-align:left; margin-bottom:4px;}

#comment{font-size:100%;margin-bottom:5em;}
#comment #ajax_loader{text-align:right;margin:0.5em;height:15px;}
#comment label
{width: 15em;float: left;
text-align:right;
margin-right: 0.5em;
display: block}
#comment input{width:20em;color:#333;background:#fff;}
#comment textarea{width:20em;}
#comment .checkbox{border:0;width:3em}
#comment .message{color:#333;background-color:#f8f2c1;border:yellow 1px solid;margin-left: 15.5em;margin-right:1em;padding:0.3em;}
#comment .error{color:#333;background-color:#f8c1c7;border:red 1px solid;margin-left: 15.5em;margin-right:1em;padding:0.3em;}
.submit_comment{margin-left: 15.5em;}
.submit_comment input{width:5em;border:1px outset;}
fieldset{border:1px solid #ccc;width:100%;}
legend{color: #333;background: #ffa20c;border:1px solid #333;padding: 2px 6px}
.comment_item{float:left;margin-top:1em;padding:0.5em;clear:both;width:100%;border-left:dotted 1px #999;background-color:#F5F7FA;}
.comment_content{text-align:left;}
.comment_footer{font-size:90%;color:#666;}
#comments_section{width:49%;float:left;}
#comments_section h3{margin-top:0;text-align:left;border-top:1px #ccc solid;padding-top:0.5em;border-bottom:dashed 1px #ccc;padding-bottom:0.5em}
#comments_section a:hover,a:visited:hover {color:#ccc;font-size:97%;}
#comments_section a,a:visited {color:#246EB1;font-size:97%;}

#tutorials_list_section{width:43%;float:left;padding-left:5%;padding-top:0;margin-top:0}
#tutorials_list_section h3 {margin-top:0;text-align:left;border-top:1px #ccc solid;padding-top:0.5em;border-bottom:dashed 1px #ccc;padding-bottom:0.5em}
#tutorials_list_section ul {margin-bottom:3em;list-style-image: url('http://www.geeksww.com/images/arrow_bullet.png');}
#tutorials_list_section a:hover,a:visited:hover {color:#ccc}
#tutorials_list_section a,a:visited {color:#246EB1}

#searches_list ul {margin-bottom:3em;list-style-image: url('http://www.geeksww.com/images/arrow_bullet.png');}
#searches_list a:hover,a:visited:hover {color:#ccc}
#searches_list a,a:visited {color:#246EB1}



.sectionhead {vertical-align:middle;}
#paging {float:left; width:48%;text-align:right;vertical-align:middle;font-size:95%;color:#666;}
#paging a,a:link,a:visited,a:active {color:#246EB1;}
#paging a:hover,a:visited:hover {color:#ccc;}
#toc_list a,a:link,a:visited,a:active {color:#246EB1;}
#toc_list a:hover,a:visited:hover {color:#ccc;}

#navigation {list-style-type:none;margin:0; padding:0;width:100%;overflow:hidden;
border-top:1px solid #ccc;text-decoration:none;font-size:105%;background-color:#fff;text-transform:uppercase;}
#navigation li {float:left;margin-left:0.6em;background-color:#fff;color:#000;padding:0;}
#navigation li a,#navigation li a:link,#navigation li a:visited,#navigation li a:hover,#navigation li a:active,#navigation li a:visited:hover 
  {display:block;vertical-align:middle;padding:5px;text-decoration:none;color:#333;font-size:105%;}
#navigation li a:hover, #navigation li a:hover, #navigation li a:hover a:active, #navigation li a:hover a:visited:hover {background-color:#eee;}
#navigation li a img {border:0;margin-right:2px;}

#header
{list-style-type:none;margin:0;background-image: url(images/header_blue.png);background-repeat: repeat-x;background-position: center center;
 margin:0; padding-top:25px;padding-left:5px; padding-right:5px;overflow:hidden;}
#header li {float:left;vertical-align:middle;text-align:right;width:50%;padding:0;}
#header li a, #header li a:link, #header li a:visited, #header li a:hover, #header li a:active, #header li a:visited:hover 
 {display:inline;padding:0;vertical-align:baseline;color:#000;background-color:transparent;}
#header li a:hover{text-decoration:underline;background-color:transparent;}
